> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get staking yield history

> Get Staking Yield History

**Limit 10 requests per 60 seconds**\
Get your unique deposit address by token

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                "id": 53173,
                "token": "WOO",
                "stakingSize": 30100.00000000,
                "annualReward": "0.0024294",
                "yieldAmount": "0.20034259",
                "yieldTime": "1673481600.000"
              }
          ],
          "meta": {
              "total": 46,
              "recordsPerPage": 1,
              "currentPage": 1
          }
      },
      "timestamp": 1721295317627
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/asset/staking/yieldHistory
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/asset/staking/yieldHistory:
    get:
      description: Get Staking Yield History
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - name: token
          in: query
          description: Token name in upper case
          required: true
          explode: true
          schema:
            type: string
        - name: page
          in: query
          description: the page you wish to query.
          required: false
          explode: true
          schema:
            type: integer
            default: 1
        - name: size
          in: query
          description: the page size you wish to query, default = 25, 1000 at max.
          required: false
          explode: true
          schema:
            type: integer
            default: 25
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/YieldHistoryResponse'
      security: []
components:
  schemas:
    YieldHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: Unique identifier for the staking entry.
                      token:
                        type: string
                        description: The token being staked (e.g., WOO).
                      stakingSize:
                        type: string
                        description: The amount of tokens currently staked.
                      annualReward:
                        type: string
                        description: The annual reward rate for the staked token.
                      yieldAmount:
                        type: string
                        description: The amount of yield earned so far.
                      yieldTime:
                        type: string
                        description: >-
                          The timestamp (Unix epoch in seconds) for the last
                          yield calculation or payout.
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````